package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.FiscalFormapagoEmpresa;
import com.rjconsultores.ventaboletos.entidad.FiscalImpressora;
import com.rjconsultores.ventaboletos.entidad.FiscalRelgerencialEmpresa;
import com.rjconsultores.ventaboletos.entidad.FiscalTotnaofiscalEmpresa;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface FiscalImpressoraService{

	public List<FiscalImpressora> obtenerTodos();
    public FiscalImpressora obtenerID(Integer id);
    public FiscalImpressora suscribir(FiscalImpressora entidad);
    public FiscalImpressora actualizacion(FiscalImpressora entidad);
    
    
    public List<FiscalTotnaofiscalEmpresa> buscarTotsNaoFiscaisEmpresa(Integer empresaEcfId);
    public List<FiscalTotnaofiscalEmpresa> obtenerTodosTotnaofiscalEmpresa();
    public FiscalTotnaofiscalEmpresa obtenerIDTotnaofiscalEmpresa(Long id);
    public FiscalTotnaofiscalEmpresa suscribirActualizarTotnaofiscalEmpresa(FiscalTotnaofiscalEmpresa entidad) throws BusinessException;
    public void borrarTotnaofiscalEmpresa(FiscalTotnaofiscalEmpresa entidad);
    
        
	public List<FiscalFormapagoEmpresa> buscarFormaPagoEmpresa(Integer empresaEcfId);
	public List<FiscalFormapagoEmpresa> obtenerTodosFormapagoEmpresa();
    public FiscalFormapagoEmpresa obtenerIDFormapagoEmpresa(Long id);
    public FiscalFormapagoEmpresa suscribirActualizarFormapagoEmpresa(FiscalFormapagoEmpresa entidad) throws BusinessException;
    public FiscalFormapagoEmpresa borrarFormapagoEmpresa(FiscalFormapagoEmpresa entidad);
        
	public List<FiscalRelgerencialEmpresa> buscarItensRelgerencialEmpresa(Integer empresaEcfId);
	public List<FiscalRelgerencialEmpresa> obtenerTodosRelgerencialEmpresa();
    public FiscalRelgerencialEmpresa obtenerIDRelgerencialEmpresa(Long id);
    public FiscalRelgerencialEmpresa suscribirRelgerencialEmpresa(FiscalRelgerencialEmpresa entidad);
    public FiscalRelgerencialEmpresa actualizacionRelgerencialEmpresa(FiscalRelgerencialEmpresa entidad);
	public FiscalRelgerencialEmpresa suscribirActualizarRelgerencialEmpresa(FiscalRelgerencialEmpresa entidad) throws BusinessException;
	
	
}
